Fingerprint_Card

Loading...
Searching...
No Matches
Zwipe.Build.Tools.Signing.Providers.MageTokenSignProvider Class Referencesealed
Inheritance diagram for Zwipe.Build.Tools.Signing.Providers.MageTokenSignProvider:
[legend]
Collaboration diagram for Zwipe.Build.Tools.Signing.Providers.MageTokenSignProvider:
[legend]

## Public Member Functions
| MageTokenSignProvider (string certificatePath, string cryptographicProvider, string container, string containerPassword)
override string | GetCommandLineParameters (string certificatePath)
Public Member Functions inherited from Zwipe.Build.Tools.Signing.Providers.TokenSignProvider
X509Certificate2 | GetCertificate ()
string | GetCommandLineParameters ()
string | GetCommandLineParameters (string certificatePath)

## Private Attributes
readonly string | _cryptographicProvider
readonly string | _container
readonly string | _containerPassword

## Additional Inherited Members
Static Public Attributes inherited from Zwipe.Build.Tools.Signing.Providers.TokenSignProvider
const string | Type = "etoken"
Protected Member Functions inherited from Zwipe.Build.Tools.Signing.Providers.TokenSignProvider
| TokenSignProvider (string certificatePath)
Properties inherited from Zwipe.Build.Tools.Signing.Providers.TokenSignProvider
string | Alias`[get]`

## Constructor & Destructor Documentation

## ◆ MageTokenSignProvider()

Zwipe.Build.Tools.Signing.Providers.MageTokenSignProvider.MageTokenSignProvider | ( | string | certificatePath,
|  | string | cryptographicProvider,
|  | string | container,
|  | string | containerPassword )

## Member Function Documentation

## ◆ GetCommandLineParameters()

override string Zwipe.Build.Tools.Signing.Providers.MageTokenSignProvider.GetCommandLineParameters | ( | string | certificatePath | ) |

## Member Data Documentation

## ◆ _container

readonly string Zwipe.Build.Tools.Signing.Providers.MageTokenSignProvider._container
| private

## ◆ _containerPassword

readonly string Zwipe.Build.Tools.Signing.Providers.MageTokenSignProvider._containerPassword
| private

## ◆ _cryptographicProvider

readonly string Zwipe.Build.Tools.Signing.Providers.MageTokenSignProvider._cryptographicProvider
| private

The documentation for this class was generated from the following file:

- Zwipe.Build.Tools/Signing/Providers/MageTokenSignProvider.cs